
/* Controller for the simple demo-app */
angular.module("DemoFaqAppAdvanced", [])
    .controller("demoController", function ($scope, $window, $sce, $attrs) {
        var ctl = this; // keep a reference to the controller
        $scope.moduleId = $attrs.moduleid;  // get moduleId from the div-attributes

        // this is the main callback, attaching data JSON to the $scope (angular view model)
        ctl.importLoadedData = function (source, data, targetId) {
            var modSxc = $2sxc($scope.moduleId); // get manager for the edit-toolbar

            // Prepare header stuff (title, intro)
            $scope.header = data.in.ListContent.List[0];
            $scope.header.SafeContent = $sce.trustAsHtml($scope.header.Content);
            $scope.header.Toolbar = $sce.trustAsHtml(ToolbarDefault(modSxc, $scope.header));

            // Prepare articles for UI
            $scope.items = data.in.Default.List;

            // Add some "safe-html" to ensure the encoded stuff shows properly
            for (var x = 0; x < $scope.items.length; x++) {
                var i = $scope.items[x];
                i.SafeAnswer = $sce.trustAsHtml(i.Answer);
                i.Toolbar = $sce.trustAsHtml(ToolbarDefault(modSxc, i));
            }

            $scope.$apply(); // Notify UI about data updated
        }

        $2sxc($scope.moduleId).data.on("load", ctl.importLoadedData).load();
    });